# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.loader

Load core scripts and their dependencies from _source.
Defined in: core/loader.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.loader Load core scripts and their dependencies from _source.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CKEDITOR.loader.loadedScripts The list of loaded scripts in their loading order.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.loader.load(scriptName) Loads a specific script, including its dependencies.

Namespace Detail
CKEDITOR.loader
Since: 3.0
Load core scripts and their dependencies from _source.
Field Detail
<static> {Array} CKEDITOR.loader.loadedScripts
Since: 3.0
The list of loaded scripts in their loading order.

    // Alert the loaded script names.
    alert( CKEDITOR.loader.loadedScripts );

Method Detail
<static> {Undefined} CKEDITOR.loader.load(scriptName)
Since: 3.0
Loads a specific script, including its dependencies. This is not a synchronous loading, which means that the code the be loaded will not necessarily be available after this call.

    CKEDITOR.loader.load( 'core/dom/element' );

Parameters:
{Undefined} scriptName

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.